KIO Link
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
  1. North
  • Auth
    • Sign In
      • Sign in with username
    • Session
      • Sign out
    • API Keys
      • Create my API key
      • List my API keys
      • Get my API key
      • Update my API key
      • Delete my API key
  • BMS
    • North
      • Get latest device data
        POST
      • Get latest alarms
        POST
      • Get EcoStruxure data
        GET
      • List devices
        GET
      • Count points
        GET
      • Count points per device
        GET
  • Schemas
    • Auth
      • SystemRole
      • OrganizationRole
      • OtpType
      • User
      • Session
      • SessionWithUser
      • TokenWithUser
      • SignInResponse
      • TwoFactorChallenge
      • AccountSummary
      • Passkey
      • WebAuthnCredential
      • ApiKey
      • ApiKeyWithSecret
      • Organization
      • Member
      • MemberWithUser
      • FullOrganization
      • OrganizationPermissions
      • SystemPermissions
      • PermissionCheckResult
    • BMS
      • ServiceDescriptor
      • SiteStatus
      • DeviceListRequest
      • LegacyDeviceListError
      • DeviceListResponse
      • DevicePoint
      • DeviceSnapshot
      • OnlineDataResponse
      • Alarm
      • OnlineAlarmResponse
      • PointsResponse
      • PointsForDeviceResponse
      • FileIngestionResult
      • EcoStruxureIngestionResult
      • EnteliCloudIngestionAccepted
      • PanelResult
      • PanelError
      • DeviceConnectionFields
      • CreateDeviceConnectionRequest
      • UpdateDeviceConnectionRequest
      • DeviceConnection
      • DeviceConnectionEnvelope
      • DeviceConnectionList
      • EnteliCloudConnectionName
      • CreateEnteliCloudConnectionRequest
      • EnteliCloudConnection
      • EnteliCloudConnectionEnvelope
      • EnteliCloudConnectionList
  1. North

Get latest device data

QA Environment
QA Environment
POST
/{location}/huawei/v2/north/get_online_data
BMS/North
Last modified:2026-09-30 05:55:41
Maintainer:José María Esparza Arévalo
Required Permission(s):NONE
Requires a Better Auth session cookie or an x-api-key header. The caller's organization role must grant telemetry:read and the organization must be entitled to the {location} in the path (super admins bypass both checks).
Latest snapshot with all points for each requested device.

Request

Authorization
API Key
Add parameter in cookie
kio-link-bms.session_token
Example:
kio-link-bms.session_token: ********************
or
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "devices": [
        "MEX1_F2_UPSB1"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/mex1/huawei/v2/north/get_online_data' \
--header 'Content-Type: application/json' \
--data '{
    "devices": [
        "MEX1_F2_UPSB1"
    ]
}'

Responses

🟢200Success
application/json
Success
Bodyapplication/json

Example
{
    "devices": [
        {
            "resource_id": "string",
            "location": "MEX1",
            "source": "string",
            "container": "string",
            "type": "string",
            "created_at": "2019-08-24T14:15:22.123Z",
            "points": [
                {
                    "name": "string",
                    "code": "string",
                    "original_value": "string",
                    "real_value": "string",
                    "unit": "string",
                    "sampling_time": 0
                }
            ]
        }
    ]
}
🟠400
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-09-30 05:55:41
Previous
Delete my API key
Next
Get latest alarms
Built with